Опасная уязвимость в надстройке для браузеров Java

Категория: Новости :: 17-01-2013, 10:02

Опасная уязвимость в надстройке для браузеров Java


В программном обеспечении Java эксперты выявили ошибку, которой хакеры могут воспользоваться. Об этом было сообщено на сайте intsysuk.com. Oracle нужно сделать Java более защищенной, полагают эксперты, а в данный момент советуют пользователям воздерживаться от применения Java-плагинов, передает Reuters.

Язык программирования Java разработала компания Sun Microsystems, входящая в состав корпорации Oracle. Разработчики используют Java для написания приложений и программ, которые могут запускаться почти на всех компьютерах, независимо от операционной системы. Доступ к продуктам пользователи получают через программные модули, а также плагины, запускающие Java-приложения в различных браузерах, таких как Firefox и Internet Explorer.

Ошибку в системе безопасности обновления Java 7 используют хакеры для взлома компьютеров, которые на базе Linux, Mac OS X и Windows, сообщил Эйч Ди Мур, глава подразделения по безопасности Rapid7. Эксперты при этом не исключают, что иные версии Java могут также быть уязвимы.

Опасности в первую очередь подвергается бизнес, потому что он применяет Java для работы веб-приложений и своих сайтов, отметил Майк Майфрет, главный директор по технологиям BeyondTrust.

Как сообщают эксперты команды экстренной готовности US-CERT, хакеры генерируют с вредоносным кодом специальный HTML-документ. Этот код добавлен уже в пакеты эксплойтов Cool Exploit Kit, Blackhole, а также в Redkit и Nuclear Pack, которые применяются хакерами для осуществления атак.

Адам Гоудиак, основатель Security Explorations, отмечает, что это уже не первая уязвимость, которая была обнаружена в системе безопасности Java. Компания в августе 2012-ого года уже экстренно исправляла ошибки, обнаруженные в программном обеспечении.









Script-coding.Info :: Карта сайта
Все права защищены, 2011.
Яндекс цитирования  
Энциклопедия языков программирования.